// Black Level
BLC_SENSOR_BLACK             30 30 30 30
BLC_SYS_BLACK                64

// Defective Pixel Fixing
DPF_DETECT_ENABLE            1
DPF_THRESHOLD                5
DPF_WEIGHT                   1

// Colour Correction (for CCT 4500)
CCM_MATRIX                   1.67254 -0.56411 -0.108429 -0.454566 1.68331 -0.228749 0.157964 -0.898406 1.74044
CCM_OFFSETS                  -135.192 -133.154 -137.918

// Display Gammut Mapper
DGM_CLIP_MAX                 1
DGM_CLIP_MIN                 0
DGM_COEFF                    0 0 0 0 0 0
DGM_SLOPE                    1 1 0
DGM_SRC_NORM                 1

// Primary Denoiser
DNS_COMBINE_ENABLE           1
DNS_STRENGTH                 2

// Display Scaler
DSC_ADJUST_CUTOFF_FREQ       0
DSC_BYPASS                   0
DSC_PITCH                    1 1
DSC_RECT                     0 0 0 0
DSC_RECT_TYPE                croprect

// Encoder Scaler
ESC_ADJUST_CUTOFF_FREQ       0
ESC_BYPASS                   0
ESC_CHROMA_MODE              inter
ESC_PITCH                    1 1
ESC_RECT                     0 0 0 0
ESC_RECT_TYPE                croprect

// Gamma Correction
GMA_BYPASS                   0

// Lens Shading and White Balance (for CCT 4500)
LSH_WBCLIP                   1 1 1 1
LSH_WBGAIN                   1.51252 1.00373 1 2.37229

// Main Gammut Mapper
MGM_CLIP_MAX                 1
MGM_CLIP_MIN                 0
MGM_COEFF                    0 0 0 0 0 0
MGM_SLOPE                    1 1 0
MGM_SRC_NORM                 1

// Global Output parameters
OUT_DE                       NONE
OUT_ENC                      NV12
OUT_DISP                     RGB888_32

// RGB to YCC
R2Y_BRIGHTNESS               0
R2Y_CONTRAST                 1
R2Y_HUE                      0
R2Y_MATRIX                   BT709
R2Y_RANGE_MUL                1 1 1
R2Y_SATURATION               1

// Sharpening
SHA_DENOISE_BYPASS           0
SHA_DETAIL                   0.5
SHA_EDGE_OFFSET              0
SHA_EDGE_SCALE               0
SHA_DN_SIGMA_MULTIPLIER      0.5
SHA_DN_TAU_MULTIPLIER        3
SHA_RADIUS                   2
SHA_STRENGTH                 0.5
SHA_THRESH                   0

// Tone Mapper
TNM_BYPASS                   0
TNM_COLOUR_CONFIDENCE        1
TNM_COLOUR_SATURATION        1
TNM_FLAT_FACTOR              0
TNM_FLAT_MIN                 0
TNM_IN_Y                     -64 64
TNM_OUT_Y                    16 235
TNM_WEIGHT_LINE              0
TNM_WEIGHT_LOCAL             0

// YCC to RGB
Y2R_BRIGHTNESS               0
Y2R_CONTRAST                 1
Y2R_HUE                      0
Y2R_MATRIX                   BT709
Y2R_RANGE_MUL                1.1689 1.1429 1.1429
Y2R_SATURATION               1

// Temperature Correction parameters
WB_COMBINED_AC_WEIGHT        0.25
WB_COMBINED_HLW_WEIGHT       0.75
// The white patch statistic leads to colour oscillations with volatile thresholds (see #IPCAMSW-5465)
WB_COMBINED_WP_WEIGHT        0

WB_CORRECTIONS 6

WB_CCM_0    1.32922 0.11431 -0.443534 -0.665055 1.98 -0.332136 -0.0430889 -0.998584 1.98
WB_CCM_1    1.5898 -0.423226 -0.16657 -0.548327 1.7681 -0.219776 0.137997 -1 1.862
WB_CCM_2    1.67254 -0.56411 -0.108429 -0.454566 1.68331 -0.228749 0.157964 -0.898406 1.74044
WB_CCM_3    1.69416 -0.601205 -0.0929518 -0.406196 1.66673 -0.260536 0.107701 -0.743135 1.63543
WB_CCM_4    1.72752 -0.627637 -0.0998811 -0.357558 1.63039 -0.272828 0.0998015 -0.704114 1.60431
WB_CCM_5    1.77734 -0.688033 -0.0893096 -0.320042 1.60052 -0.280479 0.0803482 -0.650237 1.56989

WB_GAINS_0    1.11732 1.00258 1 4.5134
WB_GAINS_1    1.31089 1.00195 1 2.95992
WB_GAINS_2    1.51252 1.00373 1 2.37229
WB_GAINS_3    1.71533 1.00109 1 2.03704
WB_GAINS_4    1.90219 1.00452 1 1.86335
WB_GAINS_5    2.13827 1.00326 1 1.70429

WB_OFFSETS_0    -131.152 -127.546 -122.357
WB_OFFSETS_1    -133.597 -133.023 -137.392
WB_OFFSETS_2    -135.192 -133.154 -137.918
WB_OFFSETS_3    -134.607 -133.365 -137.476
WB_OFFSETS_4    -134.726 -132.945 -137.598
WB_OFFSETS_5    -134.996 -133.286 -137.378

WB_TEMPERATURE_0    2500
WB_TEMPERATURE_1    3500
WB_TEMPERATURE_2    4500
WB_TEMPERATURE_3    5500
WB_TEMPERATURE_4    6500
WB_TEMPERATURE_5    7500

// Auto Exposure parameters
AE_TARGET_GAIN               1.0
AE_TARGET_BRIGHTNESS         0
AE_MAX_GAIN                  10.0
AE_MAX_EXPOSURE              33000
AE_FLICKER_REJECTION         0
AE_FLICKER_AUTODETECT        1
AE_FLICKER_FREQ              50
// A high value leads to overshoot and unbounded oscillations (see #IPCAMSW-5530)
AE_UPDATE_SPEED              0.2
